<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/admin.php";
include_once "include/site.php";
include_once "$theme/theme.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['administrator']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$new_user_type      = pg_escape_string($_REQUEST['new_user_type']);
$bulk_upload_enable = pg_escape_string($_REQUEST['new_user_bulk_upload_enable']);
$shop_enable        = pg_escape_string($_REQUEST['new_user_shop_enable']);
$shared             = pg_escape_string($_REQUEST['new_user_shared']);
$quota_size         = pg_escape_string($_REQUEST['new_user_quota_size']);
$quota_count        = pg_escape_string($_REQUEST['new_user_quota_count']);
$paper              = pg_escape_string($_REQUEST['new_user_paper']);
$label              = pg_escape_string($_REQUEST['new_user_label']);

$quota_size = $quota_size * 1048576;

pg_query($database, "
  update system_preferences
     set new_user_type='$new_user_type',
         new_user_bulk_upload_enable='$bulk_upload_enable',
         new_user_shop_enable='$shop_enable',
         new_user_shared='$shared',
         new_user_quota_size = $quota_size,
         new_user_quota_count = $quota_count,
         new_user_paper='$paper',
         new_user_label='$label'");

site_epilog($database);
header("location: admin.php?selector=".$admin_data['new_user']['idx']);
?>
