<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/site.php";
include_once "$theme/theme.php";

$folder_id = pg_escape_string($_REQUEST['folder']);
$folder_name = pg_escape_string($_REQUEST['folder_caption']);
$folder_description = pg_escape_string($_REQUEST['folder_description']);
$folder_access_rights = pg_escape_string($_REQUEST['folder_access_rights']);
$parent_folder = pg_escape_string($_REQUEST['parent']);

$database = site_prolog();

if ($po_user['type'] < $user_type['client']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

/* Ensure mere users don't edit an folder that isn't theirs! */
if ($po_user['type'] < $user_type['administrator']) {
  $result = pg_query($database, "select identifier from folder where identifier='$folder_id' and users = $po_user[id]");
  if (pg_num_rows($result) <= 0) {
    site_epilog($database);
    header("location: login.php");
    exit();
  }
 }

if (($folder_id!="") && ($folder_name!="")) {
  $result = pg_query($database, "update folder set caption='$folder_name', description='$folder_description', access_rights=$folder_access_rights, parent_folder=$parent_folder where identifier='$folder_id'");
}

site_epilog($database);

if ($parent_folder == "null") {
  header("location: my.folder.php");
} else {
  header("location: folder.php?folder=$parent_folder");
}
?>
