<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "$theme/theme.php";
include_once "include/common.php";
include_once "include/site.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$folder_id = pg_escape_string($_REQUEST['folder']);

$folder_data = pg_fetch_row(pg_query($database, "select caption, date_of_creation, value, parent_folder, users from folder, access_type where access_type.identifier=folder.access_rights and folder.identifier='$folder_id'"));

if (($folder_data[4] != $po_user['id']) &&
    ($po_user['type'] != $user_type['administrator'])) {
  site_epilog($database);
  header("location: login.php");
  exit();
 }

$photos_in_folder = pg_fetch_row(pg_query($database, "select count_photos_by_folder($folder_id)"));
$subfolders_in_folder = pg_fetch_row(pg_query($database, "select count_subfolders_by_folder($folder_id)"));
$path_to_folder = get_path_to_folder($database, $folder_id);

site_header($page_width, "Delete Folder");
site_navigator(5);

switch ($photos_in_folder[0]) {
 case 0:
   switch ($subfolders_in_folder[0]) {
   case 0:
     site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.folder.php\">My Folders and Albums</a>$path_to_folder : Delete folder <a href=folder.php?folder=$folder_id>$folder_data[0]</a>?", "");
     break;
   case 1:
     site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.folder.php\">My Folders and Albums</a>$path_to_folder : There is $subfolders_in_folder[0] subfolder in <a href=folder.php?folder=$folder_id>$folder_data[0]</a>. Cannot remove.", "");
     break;
   default:
     site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.folder.php\">My Folders and Albums</a>$path_to_folder : There are $subfolders_in_folder[0] subfolders in <a href=folder.php?folder=$folder_id>$folder_data[0]</a>. Cannot remove.", "");
   }
   break;
 case 1:
   site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.folder.php\">My Folders and Albums</a>$path_to_folder : There is $photos_in_folder[0] photo in <a href=folder.php?folder=$folder_id>$folder_data[0]</a>. Cannot remove.", "");
   break;
 default:
   site_navigator_status("<a href=\"user.php\">Users</a> : <a href=\"my.folder.php\">My Folders and Albums</a>$path_to_folder : There are $photos_in_folder[0] photos in <a href=folder.php?folder=$folder_id>$folder_data[0]</a>. Cannot remove.", "");
}

print "&nbsp;<br/>\n";
print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"55%\">Folder Name</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\">Subfolders</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\">Photos</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"15%\">Created</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_header]\"  width=\"10%\">Access</td>\n";
print "</tr>";
print "<tr>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" ><a href=\"folder.php?folder=$folder_id\">$folder_data[0]</a></td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$subfolders_in_folder[0]</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$photos_in_folder[0]</td>\n";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >".generate_date_html($folder_data[1], 'date', 1). "</td>";
print "<td align=\"left\" bgcolor=\"$color[table_body]\" >$folder_data[2]</td>\n";
print "</tr>";
print "</table>";
print "&nbsp;<br/>\n";

print "<center>\n";
if (($photos_in_folder[0] > 0) || ($subfolders_in_folder[0] > 0)) {
  print "<a class=\"nodecor\" href=\"folder.php?folder=$folder_id\"><img src=\"$theme/button.back.gif\" border=\"0\" alt=\"Back\"/></a>\n";
}
else {
  print "<form method=\"post\" action=\"folder.del.2.php\">";
  print "<input type=\"hidden\" name=\"folder\" value=\"$folder_id\"/><p>";
  print "<input type=\"hidden\" name=\"parent\" value=\"$folder_data[3]\"/><p>";
  print "<input type=\"image\" src=\"$theme/button.confirm.delete.gif\" border=\"0\" value=\"Confirm Delete\"/>";
  print "<a class=\"nodecor\" href=\"folder.php?folder=$folder_data[3]\"><img src=\"$theme/button.cancel.gif\" border=\"0\" alt=\"Cancel\"/></a>";
  print "</form>";
}
print "</center>\n";
print "&nbsp;<br/>\n";
site_footer($database);
site_epilog($database);
?>
