<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/config.php";
include_once "include/site.php";
include_once "$theme/theme.php";

$mquotes = 0;
$rquotes = 0;

if (get_magic_quotes_gpc()) 
	$mquotes = 1;
if (get_magic_quotes_runtime())
	$rquotes = 1;

$database = site_prolog();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">

<head  profile="http://www.k-i-s.net/xmpo/1">
	<title>Photo Organizer Demonstration page</title>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<link rel="stylesheet" type="text/css" media="screen" href="<?php echo $theme; ?>/screen.css" />
</head>
<body>

<table width="<?php echo $page_width ?>" height="100%" align="center" valign="top" cellspacing="0" cellpadding="0" border="0">
<tr><td align="left" valign="top" >

<table width="100%" cellspacing="0" cellpadding="0">
<tr><td><?php site_logo("left"); ?></td></tr>
<tr><td><?php site_navigator_stand_alone($database, 1); ?></td></tr>
<tr><td><?php site_navigator_status("Welcome to The Photo Organizer Demo Site", "It's simply spectacular!"); ?></td></tr>
<tr><td>

<table width="100%">
<tr><td width="25%" align="left" valign="top" colspan="2">
<p>&nbsp;</p>

<h3>Welcome to the Photo Organizer demo/test site!</h3>

<p>This site is running a current snapshot of the code that will make it into the <i>next</i> release of Photo Organizer.</p>

<p>As this is a moving target, if something doesn't appear to work, please file a <a href="http://bugs.shaftnet.org">bug ticket</a>.</p>  

<p>For more information about Photo Orzanizer's features and releases, see the <a href="http://po.shaftnet.org/">Photo Organizer web site</a>.</p>

<p>Nearly all features are enabled.  Feel free to create an account, upload some photos, and generally get a feel for how Photo Organizer works.</p>

<p>Please note that inactive accounts will be periodically deleted; this particular installation is for QA/testing, demonstration, and evaluatition only.</p>

</td></tr>
</table>

</td></tr>
</table>

</td></tr>
<tr><td align="center" valign="bottom">
<?php site_credit("center", true, true); ?>
</td></tr>
</table>

<?php
site_epilog($database);
if ($rquotes) {
	print "<ul><li><font color=\"red\">magic_quotes_runtime() turned 
on!  Workaround present, but we recommend you disable this to prevent 
subtle bugs from appearing.</font></li></ul>";
}
if ($mquotes) {
	print "<ul><li><font color=\"red\">magic_quotes_gpc() 
turned on!  Workaround present, but we recommend you disable this to prevent 
subtle bugs from appearing.</font></li></ul>";
}

?>

&nbsp;<br/>
</body>
</html>


