<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/profile.php";
include_once "include/site.php";
include_once "$theme/theme.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$location_name      = pg_escape_string($_REQUEST['location_name']);
$location_city      = pg_escape_string($_REQUEST['location_city']);
$location_state     = pg_escape_string($_REQUEST['location_state']);
$location_country   = pg_escape_string($_REQUEST['location_country']);
$location_latitude  = pg_escape_string($_REQUEST['location_latitude']);
$location_longitude = pg_escape_string($_REQUEST['location_longitude']);
$location_private = pg_escape_string($_REQUEST['private']);

$result = pg_query($database, "insert into location (identifier, place, state, country, last_modified_date, users, city, latitude, longitude, private)
                               values (nextval('location_id_sequence'), '$location_name', $location_state, $location_country, now(), '$po_user[id]', '$location_city', '$location_latitude', '$location_longitude', '$location_private')");
if (!$result) {
  // print "Failed to create new location: $location_name";
}

site_epilog($database);
header("location: my.profile.php?selector=".$profile_data['location']['idx']);
?>
