<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "include/tools.php";
include_once "$theme/theme.php";
include_once "include/common.php";
include_once "include/site.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$selector = $_REQUEST['selector'];
if (!$selector) {
  $selector = 1;
}

site_header($page_width, "Display Tools");
site_navigator(10);
site_navigator_status("<a href=\"user.php\">Users</a> : My Tools", "<a href=\"http://bugs.shaftnet.org/\">Report a bug</a>");

print "&nbsp;<br/>";
display_navigator_box_top($selector, $tools_data, "100%");

switch ($selector) {
 case $tools_data['bulkupdate']['idx']:
   $selector_id = $tools_data['bulkupdate']['idx'];
   display_bulk_update($database, $po_user['id'], "my.tools.php?selector=$selector_id", $_REQUEST['rule']);
   break;
 case $tools_data['shop_item_maker']['idx']:
   $selector_id = $tools_data['shop_item_maker']['idx'];
   display_shop_item_generator($database, $po_user['id']);
   break;
 case $tools_data['generator']['idx']:
   display_xml_template_generator($database, $po_user['id']);
   break;
 case $tools_data['converter']['idx']:
   print "<form method=\"post\" action=\"xml.converter.php\" enctype=\"multipart/form-data\">\n";
   print "&nbsp;<br/>";
   print "<table align=\"center\" bgcolor=\"$color[table_background]\" border=\"0\" cellspacing=\"1\" cellpadding=\"3\" width=\"100%\">\n";
   print "<tr>\n";
   print "<td align=\"left\" bgcolor=\"$color[table_top]\"  colspan=\"2\">Please specify the source file</td>\n";
   print "</tr>\n";
   print "<tr><td align=\"right\" bgcolor=\"$color[table_header]\"  width=\"25%\">Source file</td>\n";
   print "<td align=\"left\" bgcolor=\"$color[table_body]\"  width=\"75%\">";
   print "<input type=\"file\" name=\"source_file[]\" size=\"40\" title=\"Supported source file formats: NKN, SDF, TXT\"/>";
   print "</table>\n";

   print "&nbsp;<br/>";
   print "<input type=\"image\" src=\"$theme/button.continue.gif\" border=\"0\" value=\"Continue\"/>";
   print "</form>\n";
   break;
 case $tools_data['content_indexer']['idx']:
   $selector_id = $tools_data['content_indexer']['idx'];
   display_content_indexer($database, $po_user['id'], "my.tools.php?selector=$selector_id", $po_user['session']);
}

display_navigator_box_bottom("100%");
print "&nbsp;<br/>";

site_footer($database);
site_epilog($database);
?>
