<?php

//  Copyright (C) 2002-2006 Balint Kis (balint@k-i-s.net)
//  Copyright (C) 2005-2007 Solomon Peachy (pizza@shaftnet.org)

//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.

//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.

//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

include_once "include/vars.php";
include_once "include/config.php";
include_once "$theme/theme.php";
include_once "include/common.php";
include_once "include/site.php";

$database = site_prolog();

if ($po_user['type'] < $user_type['user']) {
  site_epilog($database);
  header("location: login.php");
  exit();
}

$photo_id = pg_escape_string($_REQUEST['photo']);
$dupe_id  = pg_escape_string($_REQUEST['dupe']);

/* Check photo owner */
$data = pg_fetch_row(pg_query($database, "select users from photo where identifier = $photo_id"));

/* Ensure mere users don't move/mangle a photo that isn't theirs! */
if ($data[0] != $po_user['id'] && 
    $po_user['type'] < $user_type['administrator']) {
  site_epilog($database);
  header("location: login.php");
  exit();
 }

$photo_dupe = pg_fetch_row(pg_query($database, "select remark from photo_dupe where identifier='$dupe_id'"));
if ($photo_dupe[0]!="Original") {
  pg_query($database, "begin");

  $result = pg_query($database, "delete from submission where photo_dupe='$dupe_id'");
  if (!$result) {
    pg_query($database, "rollback");
    site_epilog($database);
    header("location: photo.php?photo=$photo_id&detail_info=3");
    exit();
  }

  $result = pg_query($database, "delete from photo_dupe where identifier='$dupe_id'");
  if (!$result) {
    pg_query($database, "rollback");
    site_epilog($database);
    header("location: photo.php?photo=$photo_id&detail_info=3");
    exit();
  }

  pg_query($database, "commit");
}
site_epilog($database);
header("location: photo.php?photo=$photo_id&detail_info=3");
?>
